%define major 8
%define libname %mklibname ksba %{major}
%define develname %mklibname ksba -d

Summary:        Library handling X.509 certificates and CMS data
Name:           libksba
Version:        1.3.4
Release:        %mkrel 1
License:        GPLv3
Group:          System/Libraries
URL:            http://www.gnupg.org/
Source0:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:  libgpg-error-devel >= 1.2
BuildRequires:  multiarch-utils >= 1.0.3

%description
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{libname}
Summary:        Library handling X.509 certificates and CMS data
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{develname}
Summary:        Development files for %{name} package
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname ksba 8 -d

%description -n %{develname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

This package contains files needed to develop
applications using %{name} (For example Ägypten project).

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/ksba-config

rm -f %{buildroot}%{_libdir}/*.la

%check
%make check

%post -n %{develname}
%_install_info %{name}.info

%postun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog README THANKS TODO
%multiarch %{multiarch_bindir}/ksba-config
%{_bindir}/ksba-config
%{_datadir}/aclocal/*
%{_includedir}/*.h
%{_infodir}/*.info*
%{_libdir}/*.so


%changelog
* Wed May 11 2016 luigiwalser <luigiwalser> 1.3.4-1.mga5
+ Revision: 1013199
- 1.3.4 (fixes CVE-2016-4574 and CVE-2016-4579)

* Wed Apr 15 2015 luigiwalser <luigiwalser> 1.3.3-1.mga5
+ Revision: 820288
- 1.3.3

* Tue Nov 25 2014 luigiwalser <luigiwalser> 1.3.2-1.mga5
+ Revision: 799108
- 1.3.2

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 741461
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 1.3.1-1.mga5
+ Revision: 737599
- 1.3.1

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 681565
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 507143
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 luigiwalser <luigiwalser> 1.3.0-1.mga3
+ Revision: 300182
- 1.3.0

* Mon Aug 15 2011 fwang <fwang> 1.2.0-1.mga2
+ Revision: 133420
- new version 1.2.0

* Sat Jan 15 2011 mikala <mikala> 1.1.0-1.mga1
+ Revision: 18575
- Drop mdk macros
- Remove BuildRoot
- imported package libksba

